#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
# alone : web application framework for small embedded systems.
#               Copyright (c) 2009-2010 Inas Co Ltd. All Rights Reserved.
#
# This file is destributed under BSD License. Please read the COPYRIGHT file.
#
# アンケートテーブル作成


class Enquete

  ##
  # テーブル作成
  #
  def make_table()
    @persist_base.execute( %Q(
create table enquete_title ( 
 enquete_id varchar(8) primary key ,        -- ID
 create_date timestamp not null ,        -- 作成日
 state text not null ,        -- 状態
 title text not null ,        -- タイトル
 title_note text  );        -- タイトルノート
) )
    
    @persist_base.execute( %Q(
create table enquete_questions ( 
 enquete_id varchar(8) not null ,
 display_order integer not null ,        -- 表示順番
 question_number integer  ,        -- 設問番号
 question text not null ,        -- 設問
 answer_pattern varchar(3) not null ,        -- 回答パターン
 required boolean  ,        -- 必須入力か？
 rows integer  ,        -- p1 行数
 cols integer  ,        -- p1 列数
 answer_text text  ,        -- 回答群（改行区切り）
 arrange varchar(16)  ,        -- 回答群並び（縦横）
 max_select integer  ,        -- p3 回答数max
 min_select integer  ,        -- p3 回答数min
 answer_type varchar(16)  ,        -- p4 回答タイプ
 box_size integer  );        -- p4 回答欄サイズ
) )

    @persist_base.execute( %Q(
create table enquete_answers ( 
 enquete_id varchar(8) not null ,
 answer_id integer not null ,
 create_date timestamp not null ,
 question_number integer not null ,        -- 設問番号
 question_number_sub integer  ,        -- 設問番号枝番
 answer text  );        -- 回答
) )
  end

end
